Updates install input config for app
curl --request PATCH \
--url https://api.nuon.co/v1/installs/{install_id}/inputs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"deploy_dependents": true,
"role": "<string>"
}
'import requests
url = "https://api.nuon.co/v1/installs/{install_id}/inputs"
payload = {
"inputs": {},
"deploy_dependents": True,
"role": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}, deploy_dependents: true, role: '<string>'})
};
fetch('https://api.nuon.co/v1/installs/{install_id}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_input_config_id": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"install_id": "<string>",
"org_id": "<string>",
"redacted_values": {},
"updated_at": "<string>",
"values": {},
"workflow_id": "<string>"
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}Updates install input config for app
Update input values for an install.
This endpoint accepts a partial subset of inputs and merges them with the install’s existing
inputs, so callers only need to send the inputs they want to change. Inputs sourced from the
install_stack (customer source) are managed by the install stack and are rejected if supplied.
PATCH
/
v1
/
installs
/
{install_id}
/
inputs
Updates install input config for app
Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Path Parameters
install ID
Body
application/json
Input
⌘I